Subject: Re: [bug#73216] [PATCH 1/2] gnu: Add emacs-org-texlive-collection.

From: Maxim Cournoyer <[email-masked]>
Date: Fri, 13 Sep 2024 23:28:17 +0900

Hi again,

Liliana Marie Prikler <[email-masked]> writes:

[...]

> Nitpick: these comments are not aligned.  
> As a personal thing, I also suggest using a space between ; and for,
> but I see both styles used in Guix.

Actually, re-reading our referenced style [0], it opines for no spaces
between ';' and the comment, at least it says it's acceptable and uses
that in its example:

    The only comments in which omission of a space between the semicolon
    and the text is acceptable are margin comments.

    Examples:

    ;;;; Frob Grovel

    ;;; This section of code has some important implications:
    ;;;   1. Foo.
    ;;;   2. Bar.
    ;;;   3. Baz.

    (define (fnord zarquon)
      ;; If zob, then veeblefitz.
      (quux zot
            mumble             ;Zibblefrotz.
            frotz))

Phew. I can continue writing my inline comments the way I got accustomed
to :-).

[0]  https://mumble.net/~campbell/scheme/style.txt

-- 
Thanks,
Maxim